# -*- encoding: utf-8 -*-
# stub: resque 2.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "resque".freeze
  s.version = "2.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/resque/resque/blob/master/HISTORY.md", "rubygems_mfa_required" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chris Wanstrath".freeze, "Steve Klabnik".freeze, "Terence Lee".freeze, "Michael Bianco".freeze]
  s.date = "2023-01-28"
  s.description = "    Resque is a Redis-backed Ruby library for creating background jobs,\n    placing those jobs on multiple queues, and processing them later.\n\n    Background jobs can be any Ruby class or module that responds to\n    perform. Your existing classes can easily be converted to background\n    jobs or you can create new classes specifically to do work. Or, you\n    can do both.\n\n    Resque is heavily inspired by DelayedJob (which rocks) and is\n    comprised of three parts:\n\n    * A Ruby library for creating, querying, and processing jobs\n    * A Rake task for starting a worker which processes jobs\n    * A Sinatra app for monitoring queues, jobs, and workers.\n".freeze
  s.email = "steve@steveklabnik.com".freeze
  s.executables = ["resque".freeze, "resque-web".freeze]
  s.extra_rdoc_files = ["LICENSE".freeze, "README.markdown".freeze]
  s.files = ["HISTORY.md".freeze, "LICENSE".freeze, "README.markdown".freeze, "Rakefile".freeze, "bin/resque".freeze, "bin/resque-web".freeze, "lib/resque".freeze, "lib/resque.rb".freeze, "lib/resque/data_store.rb".freeze, "lib/resque/errors.rb".freeze, "lib/resque/failure".freeze, "lib/resque/failure.rb".freeze, "lib/resque/failure/airbrake.rb".freeze, "lib/resque/failure/base.rb".freeze, "lib/resque/failure/multiple.rb".freeze, "lib/resque/failure/redis.rb".freeze, "lib/resque/failure/redis_multi_queue.rb".freeze, "lib/resque/helpers.rb".freeze, "lib/resque/job.rb".freeze, "lib/resque/log_formatters".freeze, "lib/resque/log_formatters/quiet_formatter.rb".freeze, "lib/resque/log_formatters/verbose_formatter.rb".freeze, "lib/resque/log_formatters/very_verbose_formatter.rb".freeze, "lib/resque/logging.rb".freeze, "lib/resque/plugin.rb".freeze, "lib/resque/railtie.rb".freeze, "lib/resque/server".freeze, "lib/resque/server.rb".freeze, "lib/resque/server/helpers.rb".freeze, "lib/resque/server/public".freeze, "lib/resque/server/public/favicon.ico".freeze, "lib/resque/server/public/idle.png".freeze, "lib/resque/server/public/jquery-3.6.0.min.js".freeze, "lib/resque/server/public/jquery.relatize_date.js".freeze, "lib/resque/server/public/main.js".freeze, "lib/resque/server/public/poll.png".freeze, "lib/resque/server/public/ranger.js".freeze, "lib/resque/server/public/reset.css".freeze, "lib/resque/server/public/style.css".freeze, "lib/resque/server/public/working.png".freeze, "lib/resque/server/test_helper.rb".freeze, "lib/resque/server/views".freeze, "lib/resque/server/views/error.erb".freeze, "lib/resque/server/views/failed.erb".freeze, "lib/resque/server/views/failed_job.erb".freeze, "lib/resque/server/views/failed_queues_overview.erb".freeze, "lib/resque/server/views/job_class.erb".freeze, "lib/resque/server/views/key_sets.erb".freeze, "lib/resque/server/views/key_string.erb".freeze, "lib/resque/server/views/layout.erb".freeze, "lib/resque/server/views/next_more.erb".freeze, "lib/resque/server/views/overview.erb".freeze, "lib/resque/server/views/processing.erb".freeze, "lib/resque/server/views/queues.erb".freeze, "lib/resque/server/views/stats.erb".freeze, "lib/resque/server/views/workers.erb".freeze, "lib/resque/server/views/working.erb".freeze, "lib/resque/stat.rb".freeze, "lib/resque/tasks.rb".freeze, "lib/resque/thread_signal.rb".freeze, "lib/resque/vendor".freeze, "lib/resque/vendor/utf8_util.rb".freeze, "lib/resque/version.rb".freeze, "lib/resque/web_runner.rb".freeze, "lib/resque/worker.rb".freeze, "lib/tasks".freeze, "lib/tasks/redis.rake".freeze, "lib/tasks/resque.rake".freeze]
  s.homepage = "https://github.com/resque/resque".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Resque is a Redis-backed queueing system.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<redis-namespace>.freeze, ["~> 1.6"])
    s.add_runtime_dependency(%q<sinatra>.freeze, [">= 0.9.2"])
    s.add_runtime_dependency(%q<multi_json>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<mono_logger>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<thin>.freeze, [">= 0"])
    s.add_development_dependency(%q<webrick>.freeze, [">= 0"])
  else
    s.add_dependency(%q<redis-namespace>.freeze, ["~> 1.6"])
    s.add_dependency(%q<sinatra>.freeze, [">= 0.9.2"])
    s.add_dependency(%q<multi_json>.freeze, ["~> 1.0"])
    s.add_dependency(%q<mono_logger>.freeze, ["~> 1.0"])
    s.add_dependency(%q<thin>.freeze, [">= 0"])
    s.add_dependency(%q<webrick>.freeze, [">= 0"])
  end
end
